: Class AttributeEditor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadm.editors
Class AttributeEditor

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.AttributeEditor

Direct Known Subclasses:
  BooleanAttributeEditor, BooleanAttributeEditor, ClassAttributeEditor, ClassAttributeEditor, DateAttributeEditor, DateAttributeEditor, DispatcherRulesEditor, DoubleAttributeEditor, DoubleAttributeEditor, FileAttributeEditor, FileEditor, HashtableAttributeEditor, HashtableAttributeEditor, IntegerAttributeEditor, IntegerAttributeEditor, LongAttributeEditor, LongAttributeEditor, MimeTypeAttributeEditor, MimeTypeAttributeEditor, PasswordAttributeEditor, PasswordAttributeEditor, SelectEditor, SelectFileEditor, SelectFileEditor, SlideDoubleAttributeEditor, SlideIntegerAttributeEditor, SlideIntegerAttributeEditor, SlideLongAttributeEditor, StepIntegerAttributeEditor, StringArrayEditor, StringArrayEditor, StringAttributeEditor, StringAttributeEditor, StringChoiceEditor, StringChoiceEditor

public abstract class AttributeEditor
extends java.lang.Object
implements AttributeEditorInterface

Field Summary
`protected java.util.Vector` | `als`

Constructor Summary
`AttributeEditor()`

Method Summary
`void` | `addAttributeListener(AttributeListener al)` Add a Listener to this editor.
`abstract java.awt.Component` | `getComponent()` get the Component created by the editor.
`protected void` | `processEvent(java.util.EventObject eo)`
`void` | `removeAttributeListener(AttributeListener al)` Remove the listener from this editor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### als

    protected java.util.Vector als

Constructor Detail

### AttributeEditor

    public AttributeEditor()

Method Detail

### addAttributeListener

    public void addAttributeListener(AttributeListener al)

  Description copied from interface: AttributeEditorInterface
  Add a Listener to this editor.
  Specified by:
    addAttributeListener in interface AttributeEditorInterface
  Tags copied from interface: AttributeEditorInterface
  Parameters:
    `el` - a listener

### removeAttributeListener

    public void removeAttributeListener(AttributeListener al)

  Description copied from interface: AttributeEditorInterface
  Remove the listener from this editor.
  Specified by:
    removeAttributeListener in interface AttributeEditorInterface
  Tags copied from interface: AttributeEditorInterface
  Parameters:
    `el` - the listener to be removed.

### processEvent

    protected void processEvent(java.util.EventObject eo)

### getComponent

    public abstract java.awt.Component getComponent()

  get the Component created by the editor.
  Returns:
    a Component

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD